# from 1.9.7, do not support llvmjit defaultly
%bcond_with llvmjit

Summary:    PostgreSQL Protocol Buffers logical decoder plugin
Name:       postgres-decoderbufs
Version:    1.9.7
Release:    2%{?dist}
License:    MIT
URL:        https://github.com/debezium/postgres-decoderbufs
Source0:    %{url}/archive/v%{version}.Final.tar.gz

BuildRequires: make gcc postgresql-server-devel protobuf-c-devel
Requires:    protobuf-c
%{?postgresql_module_requires}

%description
A PostgreSQL logical decoder output plugin to deliver data as Protocol Buffers messages.

%package llvmjit
Summary:    Just-in-time compilation support for %{name}
Requires:   %{name} = %{version}-%{release}

%description llvmjit
Just-in-time compilation support for %{name}.

%prep
%autosetup -n postgres-decoderbufs-%{version}.Final -p1

%build
%make_build

%install
%make_install

%files
%license LICENSE
%doc README.md
%{_libdir}/pgsql/decoderbufs.so
%{_datadir}/pgsql/extension/decoderbufs.control

%files llvmjit
# do not support llvmjit defaultly, left blank pkg just for provides
%if %{with llvmjit}
%{_libdir}/pgsql/bitcode/decoderbufs.index.bc
%{_libdir}/pgsql/bitcode/decoderbufs/
%endif

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.7-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 9 2023 Shuo Wang <abushwang@tencent.com> - 1.9.7-1
- update to 1.9.7

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 30 2023 Shuo Wang <abushwang@tencent.com> - 1.7.0-1
- initial build
